Subject: Re: [PATCH v2 0/6] builtin/remote: rework how remote refs get renamed

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 4 Aug 2025 08:51:32 +0200

On Fri, Aug 01, 2025 at 09:43:59AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > On Thu, Jul 31, 2025 at 12:15:42PM -0700, Junio C Hamano wrote:
> >> Patrick Steinhardt <[email-masked]> writes:
> >> 
> >> > The series is built on top of e4ef0485fd7 (The fourteenth batch,
> >> > 2025-07-24) with ps/reflog-migrate-fixes at de7cc0782a7 (refs: fix
> >> > invalid old object IDs when migrating reflogs, 2025-07-25) merged into
> >> > it.
> >> 
> >> I'll use the newer iteration of the other topic that ends at
> >> f0fde561 (refs: fix invalid old object IDs when migrating reflogs,
> >> 2025-07-29) instead; that was what was used in the version in 'seen'.
> >
> > Okay, makes sense. I'll adapt my local base to match then.
> 
> Curious.  You had sent v3 but based your other topic on v2 and
> expected the result will merge well?

Well, the only reason why this series depends on the migration fixes for
reflogs is that the renamed reflogs for a remote would have invalid old
object IDs without it. We basically hit the bug that this other series
aims to fix.

There shouldn't be any textual conflicts between these two series.

Patrick